Skip to main content
POST
/
api
/
workspaces
/
{id}
/
stop
Stop a workspace.
curl --request POST \
  --url https://api.rigbox.dev/api/workspaces/{id}/stop \
  --header 'Authorization: Bearer <token>'
{
  "vm": {
    "created_at": "2023-11-07T05:31:56Z",
    "disk_size_mb": 1,
    "id": "<string>",
    "image": "<string>",
    "name": "<string>",
    "node_id": "<string>",
    "ram_mb": 1,
    "status": "provisioned",
    "updated_at": "2023-11-07T05:31:56Z",
    "user_id": "<string>",
    "vcpu_count": 1,
    "env_vars": {},
    "ip_address": "<string>",
    "service_spec_ids": [
      "<string>"
    ],
    "setup_script_ids": [
      "<string>"
    ],
    "template_id": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Workspace ID

Response

Workspace stopped

vm
object
required